#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	x265
Version		:	3.4
Release		:	14.8.0.0%{?dist}
Summary		:	HEVC encoder

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/videolan/x265/tags/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
Buildrequires	:	cmake
Buildrequires	:	ninja
#-----------------------------------------------------------------------------
%description
'%{name}' package provides a library for encoding video streams into
the H.265/HEVC format.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_includedir}/%{name}*.h
%{_bindir}/%{name}
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#============================================================================-
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

#The github archive is without version, to set the version number
(
echo "branch: Release-%{version}-%{release}"
echo "tag: %{version}"
) > .hg_archival.txt

cmake								\
	-S source						\
	-B bld							\
	-G Ninja						\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DLIB_INSTALL_DIR=%{_libdir}				\
	-DENABLE_SHARED=TRUE					\
	-DEXTRA_LINK_FLAGS='-L .'				\
	-DENABLE_HDR10_PLUS=FALSE 				\
	-DLINKED_10BIT=FALSE					\
	-DENABLE_HDR12_PLUS=TRUE 				\
	-DLINKED_12BIT=TRUE 					\
	-DX265_LATEST_TAG=%{version}				\
	-Wno-dev						\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja								\
	-C bld							\
	%{_smp_mflags}
#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}						\
ninja								\
	-C bld							\
	install

#BLFS does not recommend using static libraries.
%{__rm} -f							\
	%{buildroot}%{_libdir}/lib%{name}.a

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%changelog
